### DbMpoolFile::set_lsn_offset |

`

###

    #include <db_cxx.h>

    int
    DbMpoolFile::set(int32_t lsn_offset);

    int
    DbMpoolFile::get_lsn_offset(int32_t *lsn_offsetp);

### Description: DbMpoolFile::set_lsn_offset

The DbMpoolFile::set_lsn_offset method specifies the zero-based byte offset of a log sequence number (DbLsn) on the file's pages, for the purposes of page-flushing as part of transaction checkpoint. (See the DbEnv::memp_sync documentation for more information.)

The DbMpoolFile::set_lsn_offset method configures a file in the memory pool, not only operations performed using the specified DbMpoolFile handle.

The DbMpoolFile::set_lsn_offset method may not be called after the DbMpoolFile::open method is called. If the file is already open in the memory pool when DbMpoolFile::open is called, the information specified to DbMpoolFile::set_lsn_offset must be consistent with the existing file or an error will be returned.

The DbMpoolFile::set_lsn_offset method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

lsn_offset
  The lsn_offset parameter is the zero-based byte offset of the log sequence number on the file's pages.

### Description: DbMpoolFile::get_lsn_offset

The DbMpoolFile::get_lsn_offset method returns the log sequence number byte offset.

The DbMpoolFile::get_lsn_offset method may be called at any time during the life of the application.

The DbMpoolFile::get_lsn_offset method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

lsn_offsetp
  The DbMpoolFile::get_lsn_offset method returns the log sequence number byte offset in lsn_offsetp.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.